# Enum CookiesWithoutEquals

java.lang.Object
java.lang.Enum<CookiesWithoutEquals>
org.apache.tomcat.util.http.CookiesWithoutEquals

All Implemented Interfaces:
  `Serializable, Comparable<CookiesWithoutEquals>, java.lang.constant.Constable`

public enum CookiesWithoutEquals extends Enum<CookiesWithoutEquals>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IGNORE`
  `NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CookiesWithoutEquals`
  `fromString(String from)`
  `String`
  `getValue()`
  `static CookiesWithoutEquals`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CookiesWithoutEquals[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IGNORE

    public static final CookiesWithoutEquals IGNORE

  - ### NAME

    public static final CookiesWithoutEquals NAME

- ## Method Details

  - ### values

    public static CookiesWithoutEquals[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CookiesWithoutEquals valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()

  - ### fromString

    public static CookiesWithoutEquals fromString(String from)